<html>
<head>
<title>OGRE: Ogre::CompositorChain Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a></div>
<h1>Ogre::CompositorChain Class Reference</h1><!-- doxytag: class="Ogre::CompositorChain" --><!-- doxytag: inherits="Ogre::RenderTargetListener" -->Chain of compositor effects applying to one viewport.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositorChain:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1CompositorChain-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Data types.  <a href="#f98b6351f6dcbcbc353e9ec39b3e8d0a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#b6a0110a3e6e1cc2c45a6aa7e6d15e20">InstanceIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#c96b3bb0bdc4889c8917ce7015604db1">CompositorChain</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a8834cdfc95d460005da8099f2f267be">~CompositorChain</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Another gcc warning here, which is no problem because <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> is never used to delete an object.  <a href="#a8834cdfc95d460005da8099f2f267be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#76f80acb6a345c6e4d5eb66e2a0638b7">addCompositor</a> (<a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a> filter, size_t addPosition=<a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a>, size_t technique=<a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b">BEST</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply a compositor.  <a href="#76f80acb6a345c6e4d5eb66e2a0638b7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#136bcc91dece7d0c020c6bf4e635a2f3">removeCompositor</a> (size_t position=<a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a compositor.  <a href="#136bcc91dece7d0c020c6bf4e635a2f3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#16acff0bca06c03a0b3664032631dd5f">getNumCompositors</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of compositors.  <a href="#16acff0bca06c03a0b3664032631dd5f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#8555577c8789123a52ee4dc88511c06b">removeAllCompositors</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all compositors.  <a href="#8555577c8789123a52ee4dc88511c06b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3ad6ad75b3750d57545f75f36f50533">getCompositor</a> (size_t index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get compositor instance by position.  <a href="#a3ad6ad75b3750d57545f75f36f50533"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#7655532cf0ded63f91cbfb2063d98875">_getOriginalSceneCompositor</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the original scene compositor instance for this chain (internal use).  <a href="#7655532cf0ded63f91cbfb2063d98875"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">InstanceIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#edef40765b6893d4451e4abc682b8870">getCompositors</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the compositor instances.  <a href="#edef40765b6893d4451e4abc682b8870"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#3c2e3610732ee682f97a2e177168ca21">setCompositorEnabled</a> (size_t position, bool state)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enable or disable a compositor, by position.  <a href="#3c2e3610732ee682f97a2e177168ca21"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#1ec36cc26d28a3093551eefa01e0d150">preRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e6e3dc0a3a760bf152513fafbf51f9b3" title="Called just before a RenderTarget is about to be rendered into.">RenderTargetListener::preRenderTargetUpdate</a> </dd></dl>
 <a href="#1ec36cc26d28a3093551eefa01e0d150"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#dd2baec43d6f70d7074c0bc661c218c3">preViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e0f7f5f1cdf13b5870d0da1cc8f1bd64">RenderTargetListener::preViewportUpdate</a> </dd></dl>
 <a href="#dd2baec43d6f70d7074c0bc661c218c3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#3e3315ef4adfc91d21fe309b2c74576a">postViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#343ada5be6be784ee83f3cb8ac48e319">RenderTargetListener::postViewportUpdate</a> </dd></dl>
 <a href="#3e3315ef4adfc91d21fe309b2c74576a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#d7c35a353497792f762cb57b1111532e">viewportRemoved</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2" title="Called to notify listener that a Viewport has been removed from the target in question...">RenderTargetListener::viewportRemoved</a> </dd></dl>
 <a href="#d7c35a353497792f762cb57b1111532e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#0786570dbe0567f781db42c64cdc0864">_markDirty</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mark state as dirty, and to be recompiled next frame.  <a href="#0786570dbe0567f781db42c64cdc0864"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#03dbde3d43fe8f2b7d1a6c69a86a1265">getViewport</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get viewport that is the target of this chain.  <a href="#03dbde3d43fe8f2b7d1a6c69a86a1265"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#0c5a67e7aeb3f74242a45972f30073eb">_notifyViewport</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for reconnecting with viewport.  <a href="#0c5a67e7aeb3f74242a45972f30073eb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#9d532a4e514a102d8a2970b5d012707e">_removeInstance</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a compositor by pointer.  <a href="#9d532a4e514a102d8a2970b5d012707e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#3ca3e8bf062f7b7835043db522e49230">_queuedOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> *op)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for registering a queued operation for deletion later.  <a href="#3ca3e8bf062f7b7835043db522e49230"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#b58b7b39dc6335b196791d73f880f73b">_compile</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compile this Composition chain into a series of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> operations.  <a href="#b58b7b39dc6335b196791d73f880f73b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#722f37475162c91ee0dd6cebf03e63a3">postRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to.  <a href="#722f37475162c91ee0dd6cebf03e63a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#b901ef7073b680203caf86792c2151ee">viewportAdded</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question.  <a href="#b901ef7073b680203caf86792c2151ee"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a> = (size_t)-1</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Identifier for "last" compositor in chain.  <a href="#12a007f299024321e7c826e0c069e903"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b">BEST</a> = 0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Identifier for best technique.  <a href="#168c3bd702ad4e598d2765ba8ddb8c1b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">RenderSystemOperations</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Render System operations queued by last compile, these are created by this instance thus managed and deleted by it.  <a href="#e4e9c8953b28c925e342762a563d2724"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#67e27f9c9d45a24624a90bae29c87c00">clearCompiledState</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear compiled state.  <a href="#67e27f9c9d45a24624a90bae29c87c00"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#1a3cdd8c8f2af6e04892efb8cb48703f">preTargetOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;op, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp, <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Prepare a viewport, the camera and the scene for a rendering operation.  <a href="#1a3cdd8c8f2af6e04892efb8cb48703f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#caad2534d25b0dac9490142f2311c9ae">postTargetOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;op, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp, <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Restore a viewport, the camera and the scene after a rendering operation.  <a href="#caad2534d25b0dac9490142f2311c9ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#5cb803b5d20168d9bed4b8c7a7ee04b8">destroyResources</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">destroy internal resources  <a href="#5cb803b5d20168d9bed4b8c7a7ee04b8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#584ed2008fb3617e586e9be48d61071c">mViewport</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> affected by this <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">CompositorChain</a>.  <a href="#584ed2008fb3617e586e9be48d61071c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#c670c7beb3e20ed90fc527421bdc41ba">mOriginalScene</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Plainly renders the scene; implicit first compositor in the chain.  <a href="#c670c7beb3e20ed90fc527421bdc41ba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#e3d506995ac8ad8aa48270e5ea1c7f13">mInstances</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Postfilter instances in this chain.  <a href="#e3d506995ac8ad8aa48270e5ea1c7f13"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#30177a879b005637889e4be4d17561ae">mDirty</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">State needs recompile.  <a href="#30177a879b005637889e4be4d17561ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#7d18abb26afbcced73733296b9b203f5">mAnyCompositorsEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> compositors enabled?  <a href="#7d18abb26afbcced73733296b9b203f5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html#542cbb4277495b83ae702f991c599779">CompositorInstance::CompiledState</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#1c6ffca0e911fa96d012d9222ae48291">mCompiledState</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compiled state (updated with _compile).  <a href="#1c6ffca0e911fa96d012d9222ae48291"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#889e1ef93d03389ec01b34a70f62d1f3">mOutputOperation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">RenderSystemOperations</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#2000a0428258a1d0d6d39724b0e92201">mRenderSystemOperations</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#10696f59831cee75561c0c2099b5d7be">mOurListener</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#e802fec376168b0009e91d9d2b52a32a">mOldClearEveryFrameBuffers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Old viewport settings.  <a href="#e802fec376168b0009e91d9d2b52a32a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#f3a2826a2501abc1a39639835fe0b021">mOldVisibilityMask</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store old scene visibility mask.  <a href="#f3a2826a2501abc1a39639835fe0b021"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#3a136f6c8be3a5b736403878766bd00f">mOldFindVisibleObjects</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store old find visible objects.  <a href="#3a136f6c8be3a5b736403878766bd00f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#99c657543a08099992f80d7d186939f0">mOldLodBias</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store old camera LOD bias.  <a href="#99c657543a08099992f80d7d186939f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#b340ff7596d3ca02abbbbac6d807b50a">mOldMaterialScheme</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store old viewport material scheme.  <a href="#b340ff7596d3ca02abbbbac6d807b50a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#cf5b75bbbbf8da0cfc7f8fd47183f191">mOldShadowsEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store old shadows enabled flag.  <a href="#cf5b75bbbbf8da0cfc7f8fd47183f191"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Render queue listener used to set up rendering events.  <a href="classOgre_1_1CompositorChain_1_1RQListener.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Chain of compositor effects applying to one viewport. 
<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00041">41</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="f98b6351f6dcbcbc353e9ec39b3e8d0a"></a><!-- doxytag: member="Ogre::CompositorChain::Instances" ref="f98b6351f6dcbcbc353e9ec39b3e8d0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>*&gt; <a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Ogre::CompositorChain::Instances</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Data types. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00052">52</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6a0110a3e6e1cc2c45a6aa7e6d15e20"></a><!-- doxytag: member="Ogre::CompositorChain::InstanceIterator" ref="b6a0110a3e6e1cc2c45a6aa7e6d15e20" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::CompositorChain::InstanceIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00053">53</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e4e9c8953b28c925e342762a563d2724"></a><!-- doxytag: member="Ogre::CompositorChain::RenderSystemOperations" ref="e4e9c8953b28c925e342762a563d2724" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a>*&gt; <a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">Ogre::CompositorChain::RenderSystemOperations</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Render System operations queued by last compile, these are created by this instance thus managed and deleted by it. 
<p>
The list is cleared with clearCompilationState() 
<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00153">153</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c96b3bb0bdc4889c8917ce7015604db1"></a><!-- doxytag: member="Ogre::CompositorChain::CompositorChain" ref="c96b3bb0bdc4889c8917ce7015604db1" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositorChain::CompositorChain           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a8834cdfc95d460005da8099f2f267be"></a><!-- doxytag: member="Ogre::CompositorChain::~CompositorChain" ref="a8834cdfc95d460005da8099f2f267be" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::CompositorChain::~CompositorChain           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Another gcc warning here, which is no problem because <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> is never used to delete an object. 
<p>
warning: `class <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">Ogre::CompositorChain</a>' has virtual functions but non-virtual destructor 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="76f80acb6a345c6e4d5eb66e2a0638b7"></a><!-- doxytag: member="Ogre::CompositorChain::addCompositor" ref="76f80acb6a345c6e4d5eb66e2a0638b7" args="(CompositorPtr filter, size_t addPosition=LAST, size_t technique=BEST)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* Ogre::CompositorChain::addCompositor           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a>&nbsp;</td>
          <td class="paramname"> <em>filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>addPosition</em> = <code><a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>technique</em> = <code><a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b">BEST</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply a compositor. 
<p>
Initially, the filter is enabled. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filter</em>&nbsp;</td><td>Filter to apply </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>addPosition</em>&nbsp;</td><td>Position in filter chain to insert this filter at; defaults to the end (last applied filter) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>technique</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> to use; <a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b" title="Identifier for best technique.">CompositorChain::BEST</a> (default) chooses to the best one available (first technique supported) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="136bcc91dece7d0c020c6bf4e635a2f3"></a><!-- doxytag: member="Ogre::CompositorChain::removeCompositor" ref="136bcc91dece7d0c020c6bf4e635a2f3" args="(size_t position=LAST)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::removeCompositor           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>position</em> = <code><a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a></code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a compositor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>position</em>&nbsp;</td><td>Position in filter chain of filter to remove; defaults to the end (last applied filter) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="16acff0bca06c03a0b3664032631dd5f"></a><!-- doxytag: member="Ogre::CompositorChain::getNumCompositors" ref="16acff0bca06c03a0b3664032631dd5f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::CompositorChain::getNumCompositors           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of compositors. 
<p>

</div>
</div><p>
<a class="anchor" name="8555577c8789123a52ee4dc88511c06b"></a><!-- doxytag: member="Ogre::CompositorChain::removeAllCompositors" ref="8555577c8789123a52ee4dc88511c06b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::removeAllCompositors           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all compositors. 
<p>

</div>
</div><p>
<a class="anchor" name="a3ad6ad75b3750d57545f75f36f50533"></a><!-- doxytag: member="Ogre::CompositorChain::getCompositor" ref="a3ad6ad75b3750d57545f75f36f50533" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* Ogre::CompositorChain::getCompositor           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get compositor instance by position. 
<p>

</div>
</div><p>
<a class="anchor" name="7655532cf0ded63f91cbfb2063d98875"></a><!-- doxytag: member="Ogre::CompositorChain::_getOriginalSceneCompositor" ref="7655532cf0ded63f91cbfb2063d98875" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* Ogre::CompositorChain::_getOriginalSceneCompositor           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the original scene compositor instance for this chain (internal use). 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00087">87</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="edef40765b6893d4451e4abc682b8870"></a><!-- doxytag: member="Ogre::CompositorChain::getCompositors" ref="edef40765b6893d4451e4abc682b8870" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">InstanceIterator</a> Ogre::CompositorChain::getCompositors           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the compositor instances. 
<p>
The first compositor in this list is applied first, the last one is applied last. 
</div>
</div><p>
<a class="anchor" name="3c2e3610732ee682f97a2e177168ca21"></a><!-- doxytag: member="Ogre::CompositorChain::setCompositorEnabled" ref="3c2e3610732ee682f97a2e177168ca21" args="(size_t position, bool state)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::setCompositorEnabled           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>state</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Enable or disable a compositor, by position. 
<p>
Disabling a compositor stops it from rendering but does not free any resources. This can be more efficient than using removeCompositor and addCompositor in cases the filter is switched on and off a lot. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>position</em>&nbsp;</td><td>Position in filter chain of filter </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="1ec36cc26d28a3093551eefa01e0d150"></a><!-- doxytag: member="Ogre::CompositorChain::preRenderTargetUpdate" ref="1ec36cc26d28a3093551eefa01e0d150" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::preRenderTargetUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e6e3dc0a3a760bf152513fafbf51f9b3" title="Called just before a RenderTarget is about to be rendered into.">RenderTargetListener::preRenderTargetUpdate</a> </dd></dl>

<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#e6e3dc0a3a760bf152513fafbf51f9b3">Ogre::RenderTargetListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd2baec43d6f70d7074c0bc661c218c3"></a><!-- doxytag: member="Ogre::CompositorChain::preViewportUpdate" ref="dd2baec43d6f70d7074c0bc661c218c3" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::preViewportUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e0f7f5f1cdf13b5870d0da1cc8f1bd64">RenderTargetListener::preViewportUpdate</a> </dd></dl>

<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#e0f7f5f1cdf13b5870d0da1cc8f1bd64">Ogre::RenderTargetListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="3e3315ef4adfc91d21fe309b2c74576a"></a><!-- doxytag: member="Ogre::CompositorChain::postViewportUpdate" ref="3e3315ef4adfc91d21fe309b2c74576a" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::postViewportUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#343ada5be6be784ee83f3cb8ac48e319">RenderTargetListener::postViewportUpdate</a> </dd></dl>

<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#343ada5be6be784ee83f3cb8ac48e319">Ogre::RenderTargetListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="d7c35a353497792f762cb57b1111532e"></a><!-- doxytag: member="Ogre::CompositorChain::viewportRemoved" ref="d7c35a353497792f762cb57b1111532e" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::viewportRemoved           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2" title="Called to notify listener that a Viewport has been removed from the target in question...">RenderTargetListener::viewportRemoved</a> </dd></dl>

<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2">Ogre::RenderTargetListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="0786570dbe0567f781db42c64cdc0864"></a><!-- doxytag: member="Ogre::CompositorChain::_markDirty" ref="0786570dbe0567f781db42c64cdc0864" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::_markDirty           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Mark state as dirty, and to be recompiled next frame. 
<p>

</div>
</div><p>
<a class="anchor" name="03dbde3d43fe8f2b7d1a6c69a86a1265"></a><!-- doxytag: member="Ogre::CompositorChain::getViewport" ref="03dbde3d43fe8f2b7d1a6c69a86a1265" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* Ogre::CompositorChain::getViewport           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get viewport that is the target of this chain. 
<p>

</div>
</div><p>
<a class="anchor" name="0c5a67e7aeb3f74242a45972f30073eb"></a><!-- doxytag: member="Ogre::CompositorChain::_notifyViewport" ref="0c5a67e7aeb3f74242a45972f30073eb" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::_notifyViewport           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for reconnecting with viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="9d532a4e514a102d8a2970b5d012707e"></a><!-- doxytag: member="Ogre::CompositorChain::_removeInstance" ref="9d532a4e514a102d8a2970b5d012707e" args="(CompositorInstance *i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::_removeInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a compositor by pointer. 
<p>
This is internally used by <a class="el" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a> to "weak" remove any instanced of a deleted technique. 
</div>
</div><p>
<a class="anchor" name="3ca3e8bf062f7b7835043db522e49230"></a><!-- doxytag: member="Ogre::CompositorChain::_queuedOperation" ref="3ca3e8bf062f7b7835043db522e49230" args="(CompositorInstance::RenderSystemOperation *op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::_queuedOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> *&nbsp;</td>
          <td class="paramname"> <em>op</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for registering a queued operation for deletion later. 
<p>

</div>
</div><p>
<a class="anchor" name="b58b7b39dc6335b196791d73f880f73b"></a><!-- doxytag: member="Ogre::CompositorChain::_compile" ref="b58b7b39dc6335b196791d73f880f73b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::_compile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Compile this Composition chain into a series of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> operations. 
<p>

</div>
</div><p>
<a class="anchor" name="67e27f9c9d45a24624a90bae29c87c00"></a><!-- doxytag: member="Ogre::CompositorChain::clearCompiledState" ref="67e27f9c9d45a24624a90bae29c87c00" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::clearCompiledState           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear compiled state. 
<p>

</div>
</div><p>
<a class="anchor" name="1a3cdd8c8f2af6e04892efb8cb48703f"></a><!-- doxytag: member="Ogre::CompositorChain::preTargetOperation" ref="1a3cdd8c8f2af6e04892efb8cb48703f" args="(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::preTargetOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Prepare a viewport, the camera and the scene for a rendering operation. 
<p>

</div>
</div><p>
<a class="anchor" name="caad2534d25b0dac9490142f2311c9ae"></a><!-- doxytag: member="Ogre::CompositorChain::postTargetOperation" ref="caad2534d25b0dac9490142f2311c9ae" args="(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::postTargetOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Restore a viewport, the camera and the scene after a rendering operation. 
<p>

</div>
</div><p>
<a class="anchor" name="5cb803b5d20168d9bed4b8c7a7ee04b8"></a><!-- doxytag: member="Ogre::CompositorChain::destroyResources" ref="5cb803b5d20168d9bed4b8c7a7ee04b8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::destroyResources           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
destroy internal resources 
<p>

</div>
</div><p>
<a class="anchor" name="722f37475162c91ee0dd6cebf03e63a3"></a><!-- doxytag: member="Ogre::CompositorChain::postRenderTargetUpdate" ref="722f37475162c91ee0dd6cebf03e63a3" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::postRenderTargetUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This event is called just after all the viewports attached to the target in question have been rendered to. You can perform your own manual rendering commands in this event handler if you like, these will be composited with the contents of the target already there (depending on the material settings you use etc). </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00104">104</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b901ef7073b680203caf86792c2151ee"></a><!-- doxytag: member="Ogre::CompositorChain::viewportAdded" ref="b901ef7073b680203caf86792c2151ee" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::viewportAdded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00124">124</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="12a007f299024321e7c826e0c069e903"></a><!-- doxytag: member="Ogre::CompositorChain::LAST" ref="12a007f299024321e7c826e0c069e903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">Ogre::CompositorChain::LAST</a> = (size_t)-1<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Identifier for "last" compositor in chain. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00056">56</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="168c3bd702ad4e598d2765ba8ddb8c1b"></a><!-- doxytag: member="Ogre::CompositorChain::BEST" ref="168c3bd702ad4e598d2765ba8ddb8c1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b">Ogre::CompositorChain::BEST</a> = 0<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Identifier for best technique. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00058">58</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="584ed2008fb3617e586e9be48d61071c"></a><!-- doxytag: member="Ogre::CompositorChain::mViewport" ref="584ed2008fb3617e586e9be48d61071c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="classOgre_1_1CompositorChain.html#584ed2008fb3617e586e9be48d61071c">Ogre::CompositorChain::mViewport</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> affected by this <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">CompositorChain</a>. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00133">133</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c670c7beb3e20ed90fc527421bdc41ba"></a><!-- doxytag: member="Ogre::CompositorChain::mOriginalScene" ref="c670c7beb3e20ed90fc527421bdc41ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#c670c7beb3e20ed90fc527421bdc41ba">Ogre::CompositorChain::mOriginalScene</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Plainly renders the scene; implicit first compositor in the chain. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00137">137</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3d506995ac8ad8aa48270e5ea1c7f13"></a><!-- doxytag: member="Ogre::CompositorChain::mInstances" ref="e3d506995ac8ad8aa48270e5ea1c7f13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a> <a class="el" href="classOgre_1_1CompositorChain.html#e3d506995ac8ad8aa48270e5ea1c7f13">Ogre::CompositorChain::mInstances</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Postfilter instances in this chain. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00140">140</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30177a879b005637889e4be4d17561ae"></a><!-- doxytag: member="Ogre::CompositorChain::mDirty" ref="30177a879b005637889e4be4d17561ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#30177a879b005637889e4be4d17561ae">Ogre::CompositorChain::mDirty</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
State needs recompile. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00143">143</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d18abb26afbcced73733296b9b203f5"></a><!-- doxytag: member="Ogre::CompositorChain::mAnyCompositorsEnabled" ref="7d18abb26afbcced73733296b9b203f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#7d18abb26afbcced73733296b9b203f5">Ogre::CompositorChain::mAnyCompositorsEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> compositors enabled? 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00145">145</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c6ffca0e911fa96d012d9222ae48291"></a><!-- doxytag: member="Ogre::CompositorChain::mCompiledState" ref="1c6ffca0e911fa96d012d9222ae48291" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html#542cbb4277495b83ae702f991c599779">CompositorInstance::CompiledState</a> <a class="el" href="classOgre_1_1CompositorChain.html#1c6ffca0e911fa96d012d9222ae48291">Ogre::CompositorChain::mCompiledState</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Compiled state (updated with _compile). 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00148">148</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="889e1ef93d03389ec01b34a70f62d1f3"></a><!-- doxytag: member="Ogre::CompositorChain::mOutputOperation" ref="889e1ef93d03389ec01b34a70f62d1f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> <a class="el" href="classOgre_1_1CompositorChain.html#889e1ef93d03389ec01b34a70f62d1f3">Ogre::CompositorChain::mOutputOperation</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00149">149</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2000a0428258a1d0d6d39724b0e92201"></a><!-- doxytag: member="Ogre::CompositorChain::mRenderSystemOperations" ref="2000a0428258a1d0d6d39724b0e92201" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">RenderSystemOperations</a> <a class="el" href="classOgre_1_1CompositorChain.html#2000a0428258a1d0d6d39724b0e92201">Ogre::CompositorChain::mRenderSystemOperations</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00154">154</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="10696f59831cee75561c0c2099b5d7be"></a><!-- doxytag: member="Ogre::CompositorChain::mOurListener" ref="10696f59831cee75561c0c2099b5d7be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a> <a class="el" href="classOgre_1_1CompositorChain.html#10696f59831cee75561c0c2099b5d7be">Ogre::CompositorChain::mOurListener</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00197">197</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e802fec376168b0009e91d9d2b52a32a"></a><!-- doxytag: member="Ogre::CompositorChain::mOldClearEveryFrameBuffers" ref="e802fec376168b0009e91d9d2b52a32a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1CompositorChain.html#e802fec376168b0009e91d9d2b52a32a">Ogre::CompositorChain::mOldClearEveryFrameBuffers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Old viewport settings. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00199">199</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3a2826a2501abc1a39639835fe0b021"></a><!-- doxytag: member="Ogre::CompositorChain::mOldVisibilityMask" ref="f3a2826a2501abc1a39639835fe0b021" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositorChain.html#f3a2826a2501abc1a39639835fe0b021">Ogre::CompositorChain::mOldVisibilityMask</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Store old scene visibility mask. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00201">201</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3a136f6c8be3a5b736403878766bd00f"></a><!-- doxytag: member="Ogre::CompositorChain::mOldFindVisibleObjects" ref="3a136f6c8be3a5b736403878766bd00f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#3a136f6c8be3a5b736403878766bd00f">Ogre::CompositorChain::mOldFindVisibleObjects</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Store old find visible objects. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00203">203</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="99c657543a08099992f80d7d186939f0"></a><!-- doxytag: member="Ogre::CompositorChain::mOldLodBias" ref="99c657543a08099992f80d7d186939f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositorChain.html#99c657543a08099992f80d7d186939f0">Ogre::CompositorChain::mOldLodBias</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Store old camera LOD bias. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00205">205</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b340ff7596d3ca02abbbbac6d807b50a"></a><!-- doxytag: member="Ogre::CompositorChain::mOldMaterialScheme" ref="b340ff7596d3ca02abbbbac6d807b50a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositorChain.html#b340ff7596d3ca02abbbbac6d807b50a">Ogre::CompositorChain::mOldMaterialScheme</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Store old viewport material scheme. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00207">207</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf5b75bbbbf8da0cfc7f8fd47183f191"></a><!-- doxytag: member="Ogre::CompositorChain::mOldShadowsEnabled" ref="cf5b75bbbbf8da0cfc7f8fd47183f191" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#cf5b75bbbbf8da0cfc7f8fd47183f191">Ogre::CompositorChain::mOldShadowsEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Store old shadows enabled flag. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00209">209</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:24 2008
</p>
</body>
</html>
